# Archive

## instances

The 'ideal' spam/phishing emails that were given to experiment subjects to modify. There were 10 selected ideal emails and another one phishing emails to be used in tutorial.

## features.csv

We have used 500 feature words. We randomly selected 5075 spams and 5856 hams from Enron data and calculated the relative frequency for each word (tokenized). The words were selected based on the absolute difference in their relative frequency in spam versus ham, as specified on the paper. 

## users.csv

Information about the user, including: age,gender,engtest,education,task1,task2.
If the user has only worked on one task, task2 will contain a question mark.
The task1 and task2 each records a single number denoting the taskID that the user worked on. 
The taskID starts from 1. It corresponds to the order of tasks appearing in tasks.csv.

## tasks.csv

Contains information about the tasks. Each row is a task. The 1st row (excluding field title) has taskID = 1, and the 2nd row has a taskID = 2, etc.
Each row contains several columns: noise,scoringFunc,countSub,instanceID,instance.
The noise column denoting whether the task has a noise setting. When noise == 100, there was no noise setting. When noise == 90, any submission to this task might be flipped at a chance of 10%. Being flipped means that a email that cannot pass filter will be displayed as "passing filter" and receive a positive score in the experiment. On the other hand, a email that should have passed the filter will be displayed as "filtered" and receive a zero score. 
The scoringFunc records which scoring function is used to score any submission to this task.
The instanceID records which "ideal" spam/phishing email this task gives to subjects to modify. 
The instance field records the binary vector for the "ideal" email. It contains 500 binary number separated by space. 

## submissions.csv

Information about the users' submission. For every submission, spendTime denotes how long did the user spent (in seconds); filter denotes whether the submission is filtered (filter == 1 means that the submission was classified as spam); displayScore was the score displayed to the experiement subjects; s1 and s2 denote the score computed by different scoring function; deserveScore is discarding the noise's effect, it is equal to the score given by the corresponding scoringFunction if the email is able to pass the filter, otherwise it is 0. 
The content field records the binary vector for the submitted email. It contains 500 binary number separated by space. 

## x.json

This json object contains one field: users. It is an array containing information for all users. Each entry of the array corresponds to one user and contains that person's task(s) and submissions. 
Each user is also a json object; The gender field contains either 1-Female or 2-Male; The education field contains either 2-High school, 3-College and 4-Higher.

